Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Namer

    public interface Namer

A namer is capable of providing a name based on some inherent characteristic of an object.

Parameters:
  `` - The type of object that the namer can name

Nested Class Summary
`static class` | `Namer.Comparator` A comparator implementation based on the names returned by the given namer.

Method Summary
`String` | `determineName(Object object)` Determines the name of the given object.

Method Detail

### determineName

    public String determineName(Object object)

  Determines the name of the given object.
  throws:
    RuntimeException If the name cannot be determined or is null
  Parameters:
    `object` - The object to determine the name of
  Returns:
    The object's inherent name. Never null.

Gradle API 1.10